datacache <- new.env(hash=TRUE, parent=emptyenv())

rgug4130a <- function() showQCData("rgug4130a", datacache)
rgug4130a_dbconn <- function() dbconn(datacache)
rgug4130a_dbfile <- function() dbfile(datacache)
rgug4130a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rgug4130a_dbInfo <- function() dbInfo(datacache)

rgug4130aORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rgug4130a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RATCHIP_DB("rgug4130a", "chip rgug4130a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rgug4130a_dbconn())
}

