\name{rgug4130aMAPCOUNTS} 

\alias{rgug4130aMAPCOUNTS}


\title{Number of mapped keys for the maps in package rgug4130a.db}

\description{
  rgug4130aMAPCOUNTS provides the "map count" (i.e. the count of mapped
  keys) for each map in package rgug4130a.db.
}

\details{
  This "map count" information is precalculated and stored in the package
  annotation DB. This allows some quality control and is used by the
  \code{\link[AnnotationDbi]{checkMAPCOUNTS}} function defined in
  AnnotationDbi to compare and validate different methods (like
  \code{count.mappedkeys(x)} or \code{sum(!is.na(as.list(x)))})
  for getting the "map count" of a given map.
}

\seealso{
  \code{\link[AnnotationDbi]{mappedkeys}},
  \code{\link[AnnotationDbi]{count.mappedkeys}},
  \code{\link[AnnotationDbi]{checkMAPCOUNTS}}
}

\examples{
  rgug4130aMAPCOUNTS
  mapnames <- names(rgug4130aMAPCOUNTS)
  rgug4130aMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package rgug4130a.db
  checkMAPCOUNTS("rgug4130a.db")
}

\keyword{datasets}

